image: node:latest

cache:
  paths:
    - node_modules/
    - .yarn

before_script:  
  - apt-get update -qq && apt-get install

stages: 
  - lint 
  - test

eslint: 
  stage: lint
  before_script: 
    - yarn config set cache-folder .yarn
    - yarn install 
  script:
    - yarn lint

typescript: 
  stage: lint
  before_script: 
    - yarn config set cache-folder .yarn
    - yarn install 
  script:
    - yarn tsc

test: 
  stage: test
  before_script: 
    - yarn config set cache-folder .yarn
    - yarn install 
  script:
    - yarn test